cURL
curl --request POST \ --url https://api.pagou.ai/v2/apps/checkout/link \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'x-checkout-token: <x-checkout-token>' \ --data ' { "items": [ { "variant_external_id": "<string>", "quantity": 4503599627370496, "price_cents": 4503599627370495, "currency": "BRL", "name": "<string>", "image_url": "<string>" } ], "title": "<string>", "success_url": "<string>", "cancel_url": "<string>" } '
{ "data": { "id": 123, "slug": "<string>", "checkout_url": "<string>", "currency": "<string>", "amount_micros": "<string>" } }
Create a checkout link from a Shopify integration. Authenticated via x-checkout-token (short-lived token from POST /token).
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
1
Show child attributes
1 - 255
HTTP 201 response